_SETTINGS:SetPlayerMenuOff()

local tankerForrestal=RECOVERYTANKER:New("USS Forrestal", "Shell Forrestal @IFF:(70)7464FR") -- Note Az 2020-12-07: InitKeepUnitNames(KeepUnitNames) doesn't want to work here, so placing the @IFF in the groupname is a workaround (as unitname = groupname when spawned by Airboss) 
tankerForrestal:SetTakeoffAir()
tankerForrestal:SetRadio(228.300)
tankerForrestal:SetModex(511)
tankerForrestal:SetTACAN(34,"SL4")
tankerForrestal:SetCallsign(3,4) 
tankerForrestal:__Start(1)

local pedroForrestal=RESCUEHELO:New("USS Forrestal", "Pedro Forrestal")
pedroForrestal:SetHomeBase(AIRBASE:FindByName("USS Shiloh"))
pedroForrestal:SetModex(61)
pedroForrestal:SetAltitude(60)
pedroForrestal:SetOffsetZ(-250)
pedroForrestal:__Start(1)
  
local airbossForrestal=AIRBOSS:New("USS Forrestal")
airbossForrestal:SetSoundfilesFolder("Airboss Soundfiles/")
airbossForrestal:SetDespawnOnEngineShutdown()
airbossForrestal:SetMaxFlightsPerStack(1)
airbossForrestal:SetMaxMarshalStacks(20)
airbossForrestal:SetMaxSectionSize(4)
airbossForrestal:SetLSORadio(338.400)
airbossForrestal:SetMarshalRadio(336.400)
airbossForrestal:SetICLS(19)
airbossForrestal:SetTACAN(59,"X","FRL")
airbossForrestal:SetHandleAIOFF()
airbossForrestal:SetDefaultPlayerSkill(AIRBOSS.Difficulty.EASY)
airbossForrestal:SetAirbossNiceGuy(true)
airbossForrestal:SetEmergencyLandings(true)
airbossForrestal:SetPatrolAdInfinitum(true)
airbossForrestal:SetCarrierControlledArea(50)
airbossForrestal:SetMenuRecovery(300, 25, true, 0)
airbossForrestal:SetRadioRelayLSO("Relay Forrestal")
airbossForrestal:SetHoldingOffsetAngle(0)
airbossForrestal:Start()

function tankerForrestal:OnAfterStart(From,Event,To)
  airbossForrestal:SetRecoveryTanker(tankerForrestal)  
end

function pedroForrestal:OnAfterStart(From,Event,To)
  airbossForrestal:SetRadioRelayMarshal(self:GetUnitName())
end